org.apache.ignite.internal.processors.cache

## Class GridCacheEntryInfo<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheEntryInfo<K,V>

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridCacheEntryInfo<K,V>
    extends Object
    implements Externalizable

Entry information that gets passed over wire.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheEntryInfo()`

### Method Summary

Methods
`int` `cacheId()`
`void` `cacheId(int cacheId)`
`long` `expireTime()`
`void` `expireTime(long expireTime)`
`boolean` `isDeleted()`
`boolean` `isNew()`
`K` `key()`
`void` `key(K key)`
`byte[]` `keyBytes()`
`void` `keyBytes(byte[] keyBytes)`
`void` `marshal(GridCacheSharedContext<K,V> ctx)`
`void` `readExternal(ObjectInput in)`
`void` `setDeleted(boolean deleted)`
`void` `setNew(boolean isNew)`
`String` `toString()`
`long` `ttl()`
`void` `ttl(long ttl)`
`void` `unmarshal(GridCacheContext<K,V> ctx, ClassLoader clsLdr)` Unmarshalls entry.
`void` `unmarshalValue(GridCacheContext<K,V> ctx, ClassLoader ldr)`
`V` `value()`
`void` `value(V val)`
`byte[]` `valueBytes()`
`void` `valueBytes(byte[] valBytes)`
`GridCacheVersion` `version()`
`void` `version(GridCacheVersion ver)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheEntryInfo

    public GridCacheEntryInfo()

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### cacheId

    public void cacheId(int cacheId)

Parameters:
  `cacheId` - Cache ID.

#### key

    public void key(K key)

Parameters:
  `key` - Entry key.

#### key

    public K key()

Returns:
  Entry key.

#### keyBytes

    public byte[] keyBytes()

Returns:
  Key bytes.

#### keyBytes

    public void keyBytes(byte[] keyBytes)

Parameters:
  `keyBytes` - Key bytes.

#### value

    public V value()

Returns:
  Entry value.

#### value

    public void value(V val)

Parameters:
  `val` - Entry value.

#### valueBytes

    public byte[] valueBytes()

Returns:
  Value bytes.

#### valueBytes

    public void valueBytes(byte[] valBytes)

Parameters:
  `valBytes` - Value bytes.

#### expireTime

    public long expireTime()

Returns:
  Expire time.

#### expireTime

    public void expireTime(long expireTime)

Parameters:
  `expireTime` - Expiration time.

#### ttl

    public long ttl()

Returns:
  Time to live.

#### ttl

    public void ttl(long ttl)

Parameters:
  `ttl` - Time to live.

#### version

    public GridCacheVersion version()

Returns:
  Version.

#### version

    public void version(GridCacheVersion ver)

Parameters:
  `ver` - Version.

#### isNew

    public boolean isNew()

Returns:
  New flag.

#### setNew

    public void setNew(boolean isNew)

Parameters:
  `isNew` - New flag.

#### isDeleted

    public boolean isDeleted()

Returns:
  `True` if deleted.

#### setDeleted

    public void setDeleted(boolean deleted)

Parameters:
  `deleted` - Deleted flag.

#### unmarshalValue

    public void unmarshalValue(GridCacheContext<K,V> ctx,
                      ClassLoader ldr)
                        throws IgniteCheckedException

Parameters:
  `ctx` - Context.
  `ldr` - Loader.
Throws:
  `IgniteCheckedException` - If failed.

#### marshal

    public void marshal(GridCacheSharedContext<K,V> ctx)
                 throws IgniteCheckedException

Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - In case of error.

#### unmarshal

    public void unmarshal(GridCacheContext<K,V> ctx,
                 ClassLoader clsLdr)
                   throws IgniteCheckedException

Unmarshalls entry.

Parameters:
  `ctx` - Cache context.
  `clsLdr` - Class loader.
Throws:
  `IgniteCheckedException` - If unmarshalling failed.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015